'use strict';

var _Styler = require('../Styler');

var _Styler2 = _interopRequireDefault(_Styler);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Styler', function () {
	var styler = void 0;
	beforeEach(function () {
		styler = new _Styler2.default({
			someClassName: {
				someAttribute: 'something',
				somethingElse: 'something else',
				$someCondition: {
					someAttribute: 'something else when someCondition is true'
				}
			}
		});
	});
	it('Should return the basic style when condition is false', function () {
		expect(styler.compose('someClassName', { $someCondition: false })).toEqual({
			someAttribute: 'something',
			somethingElse: 'something else'
		});
	});
	it('Should return the basic style when conditional part is undefined', function () {
		expect(styler.compose('someClassName')).toEqual({
			someAttribute: 'something',
			somethingElse: 'something else'
		});
	});
	it('Should return the basic style composed with conditional part if condition is true', function () {
		expect(styler.compose('someClassName', { $someCondition: true })).toEqual({
			somethingElse: 'something else',
			someAttribute: 'something else when someCondition is true'
		});
	});
}); /**
     * Created by janos on 05/09/2016.
     */